Subject: bug#38392: zap-up-to-char should appear in "Deletion and Killing" Emacs info section and "Command Index"

From: Drew Adams <[email-masked]>
Date: Thu, 28 Nov 2019 08:42:32 -0800 (PST)

> > In Isearch we now have `isearch-yank-until-char'.
> >
> > So we now have two different ways to name something
> > that deals with text from point forward to, but not
> > including, the position of some char: "up to" vs
> > "until".
> >
> > It would be better to have a single way to name this.
> >
> > ---
> >
> > Considering that the names `zap-to-char' and
> > `zap-up-to-char' are so close, and they can be
> > confused (witness Eli's missing the difference
> > here, at first), "until" seems a bit better.
> >
> > On the other hand, "until" has a strong connotation
> > of time, and a weak one of space/distance.  And "up
> > to" is pretty clear, if taken apart from "to".
> >
> > Really, `zap-to-char' should probably be called
> > `zap-through-char'.  I'd suggest using the terms
> > "until" (for "up to") and "through" (for zap "to").
> 
> FWIW, I think `zap-until-char' and `zap-through-char' would be less
> clear than the current names.
> 
> I agree with the point about consistency.  It would be better then to
> rename `isearch-yank-until-char' to `isearch-yank-up-to-char' instead
> of renaming the old commands, I think.

No objection from me.

Consistency can help in general, but it's not an
imperative.  More important than global consistency
is local consistency (e.g. within Isearch, don't use
more than one way to name the same thing).

It's probably too late to change `zap-to-char', but
I think that `through' is clearer than `to', when
the char is included.  `zap-through-char' would be
clearer, and it's confusing to have both `-to-' and
`-up-to-'.

(There currently is no Isearch yank command that has
"through" semantics, but I added a couple in my code
and in the patch I submitted for bug #37417.)